.div-1{
    background-color: red;
    display: block;
    width:80px;
    height:80px;
}

.zluta{
    background-color: yellow;
}

.div-2{
    background-color: green;
}

.span-1{
    background-color: yellow;
    display: inline;
    width:100px;
    height: 50px;
}

.span-2{
    background-color: blue;
    display: inline;
    width:100px;
    height:80px;
}

.obrazek{
    display: inline-block;
    width:200px;
    height:150px;
}

/*

display: block - Jde nastavit výška a šířka elementu. Defaultně zabírá šířka 100%. 
                 Element je na "samostatné řádce" a nemůže být vedle něho další.

display: inline - Nejde nastavit výška a šířka elementu. Defaultně zabírá minimální prostor. 
                  Element nemusí být na "samostatné řádce" a být vedle něho další element,
                  který má display:inline nebo display: inline-block.

display: inline-block - Mix typu block a inline. Jde nastavit šířka a výška. Defaultně zabírá minimální prostor. 
                        Element nemusí být na "samostatné řádce" a být vedle něho další element,
                        který má display:inline nebo display: inline-block.
*/